import { View, ScrollView, Image } from "@tarojs/components"
import withLayout from '@/layouts'
import CustomNav from "@/components/CustomNav"
import micon from '@/assets/machinery/micon.png'
import './style.less'

export default withLayout((props) => {
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='关于我们' />
      </View>
      <View className='index-container aboutUs'>
        <ScrollView scrollY style={{ height: '100%' }}>
          <View className='title'>
            <Image src={micon} className='titleicon' />
            智慧农机的介绍
            <Image src={micon} className='titleicon' />
          </View>
          <View className='aboutUsContent'>
            <View className='paragraph'>智慧农机旨在通过新一代物联网，大数据，3S等信息化技术有效整合省市县各级涉农资源</View>
            <View className='paragraph'>以顶层设计方式建成“一个平台一个中心N个应用”汇聚农业产业。农业“两区”。 </View>
            <View className='paragraph'>物联网、植保、农机、畜牧、农资、农经，科教等各级农业业务应用及数据，形成大农业”数据中心。</View>
            <View className='paragraph'>构建互联共享的“互联网+农业”信息服务体系以最终实现科学指导农业生产经营管理，政府决策监管和社会公众服务。</View>
            <View className='paragraph'>----------</View>
          </View>
        </ScrollView>
      </View>
    </View>
  )
})
