import { View } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import MyCard from "@/components/MyCard"
import withLayout from '@/layouts'
import { useEffect, useState } from "react"
import { getOrderDetail } from "@/services/order"
import { getJobDetail } from '@/services/job'


export default withLayout((props) => {
  const { router } = props
  let { id, job } = router.params
  const [value, setValue] = useState()
  useEffect(() => {
    if (job) {
      getJobDetail(id).then(res => {
        setValue(res)
      })
    } else {
      getOrderDetail(id).then((res) => {
        setValue(res)
      })
    }
  }, [id, job])
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='更多' />
      </View>
      <View className='index-container'>
        {
          job?<MyCard detail job value={value} />:<MyCard detail value={value} />
        }
      </View>
    </View>
  )
})