import Taro, { useRouter } from "@tarojs/taro";
import { useModel } from '@/store'
import { useMemo, useState, useEffect } from "react";

const whiteList = [
  "/pages/index/index"
]

export default () => {
  const router = useRouter()
  const { person } = useModel('person')
  const [loginVisible, setLoginVisible] = useState(false)

  const isInWhiteList = useMemo(() => whiteList.includes(router.path), [router.path])
  const hasPhone = useMemo(() => !!person?.phone, [person?.phone])
  
  useEffect(() => {
    if (!isInWhiteList && !hasPhone) {
      setLoginVisible(true)
    } else {
      setLoginVisible(false)
    }
  }, [hasPhone, isInWhiteList])


  return { loginVisible }
};